[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# capset

Set the capabilities for the indicated thread

## Declaration

Source position: linux.pp line 304

`function capset(`
`header: Puser_cap_header;`
`data: Puser_cap_data`
`):cint;`

## Description

capget sets the capabilities of the indicated thread in header. The thread is identified by the process ID, or -1 for all caller (and child) process ID's.

Refer to the Linux man pages (7 capabilities) for more info.

## Errors

On success, zero is returned, on error -1 is returned, and fperrno is set to the error.

## See also

capget |  | Return the capabilities for the indicated thread